„Android“ studija - nėra vietos maršruto

Atnaujinus „Android Studio“ iki 0.2.4, negaliu paleisti savo projekto. Yra visiškai nesuderinamas „apk“ failo pavadinimas.

 Waiting for device. Target device: 0146B0020E010020 Uploading file local path: /home/martin/workspace/git/projectname/projectname/project/build/classes/debug/AppName.apk remote path: /data/local/tmp/com.xxx.xxx.android.projectname Local path doesn't exist. 

Perskaitę kai kuriuos pranešimus, pakeitiau išvesties kelią į kūrimo / apk katalogą, tačiau problema išlieka. Vietoj sukurto projekto vardo-debug-unaligned.apk jis ieško failo pavadinimo .apk, ir aš nesuprantu, kaip ir kur galiu jam pasakyti, kad jis pakeistų ieškomą vardą. Bet kokios idėjos?

PS: Taip, perskaičiau keletą pranešimų, kurie rodomi dešinėje esančiame sąraše. Iš naujo paleisti IDE dirbo mano kolegai, bet ne man.

Redaguoti:

Toliau aptariau vieną klausimą , kad grįžčiau į vienintelę parsisiunčiamą versiją: 0.2.0.

Naudotojo sąsajos elementų trūkumas, galiu kurti naujus projektus, ir, svarbiausia, galiu panaudoti APK iš studijos į savo prietaisą. Aš išbandysiu 0.2.5, kai tik jis bus paleistas.

134
15 авг. nustatė WarrenFaith 15 rug . 2013-08-15 18:35 '13, 18:35, 2013-08-15 18:35
@ 29 atsakymai

Iš pradžių šią klaidą pastebėjau atnaujinus nuo 0,3 iki 0,3. Šios instrukcijos buvo atnaujintos, kad būtų paleista „Android“ studija 0.5.2. Tai yra žingsniai, kurių aš ėmėmės problemai išspręsti.

1.In build.gradle įsitikinkite, kad gradio parametras nustatytas kaip 0.9.0

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.9.0' } } 

2.In gradle-wrapper.properties, naudokite gradle 1.11

 #Wed Apr 10 15:27:10 PDT 2013 distributionBase=GRADLE_USER_HOME distributionPath=wrapper/dists zipStoreBase=GRADLE_USER_HOME zipStorePath=wrapper/dists distributionUrl=http\://services.gradle.org/distributions/gradle-1.11-all.zip 

3.Sinchronizuokite projektą su „gradle“ failais spustelėję mygtuką, esantį kairėje pusėje „avd“

2019

272
21 окт. Adomo Jono atsakymas, spalio 21 d 2013-10-21 17:15 '13, 17:15, 2013-10-21 17:15

Pabandykite atlikti šiuos veiksmus:

  • Uždarykite IDE
  • Ištrinkite .idea aplanką ir visus .iml failus projekte.
  • Iš naujo paleiskite IDE ir iš naujo importuokite projektą.

Originalus įrašas: https://code.google.com/p/android/issues/detail?id=59018

37
15 авг. atsakymą pateikė Viktoras Yanezas 15 rug. 2013-08-15 22:48 '13, 22:48, 2013-08-15 22:48

Man pavyko rasti laikiną sprendimą. Padarykite tai naudodami komandinę eilutę:

 // build apk ./gradlew assemble --daemon // debug apk is unaligned so we need to align it zipalign -f 4 app/build/apk/app-debug-unaligned.apk app/build/apk/app-debug.apk // reinstall it using adb adb install -r app/build/apk/app-debug.apk 

Tai yra laikina, bet tikiuosi, kad jie ją išspręs už 0.2.5

Redaguoti: nenustatyta 0.2.5

Redaguoti2: dabar fiksuojamas pridedant modulio.iml (failo / konfigūracijos) į mano failą:

 <option name="APK_PATH" value="/build/apk/appname-debug-unaligned.apk" /> 
26
17 авг. Buzeeg atsakymas rugpjūčio 17 d 2013-08-17 01:10 '13 ne 1:10 2013-08-17 01:10

„Android“ studija „Reboot“ (0.3.0) dirbo man.

14
21 окт. atsakymą pateikė Usman Nisar , spalio 21 d. 2013-10-21 08:48 '13, 8:48, 2013-10-21 08:48

Nuo 0.2.13 iki 0.3.0 Tiesiog atsisiųskite naująjį gradą 1.8 iš http://www.gradle.org/downloads Reimport ir pasirinkite naują naudojimą.

„build.gradle“

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.6.1' } } 

Nesu tikras, ar tai tikrai reikalinga, bet naudoju neteisingus talpyklos ir perkraunama prieš reimportą 2019

9
21 окт. Atsakymas duotas Evgeniy S 21 okt. 2013-10-21 12:04 '13, 12:04 2013-10-21 12:04

Prieš tai paleidus mano paleidimo konfigūraciją, tai išsprendžiau pridėjus „gradle -ware make“.

2019

7
16 сент. Atsakymą pateikė Elyess Abouda . 2014-09-16 17:30 '14, 5:30 val. 2014-09-16 17:30

Hehas išbandė visus šiuos atsakymus ir nė vienas iš jų neveikė. Manau, kad bendros šios problemos priežastis yra daug paprastesnė.

Aš patariu visiems, kurie turi šią problemą, matyti jų paleidimo konfigūraciją:

2019

6
21 окт. atsakymas duotas stevebot spalis 21 2014-10-21 18:10 '14 at 18:10 2014-10-21 18:10

kaip parašė čia :

Tiesiog susidūriau su šia problema, net nenukrypstant nuo „Eclipse“, ir buvau nusivylęs, nes nerodo jokių kompiliavimo klaidų ar paketo „Debug“. Kažkaip tai pataiso, jei išvalysite THEN ir paleisite paketąDebug. Nesijaudinkite dėl pasenusios metodo ataskaitos - tai, atrodo, yra bendras kūrėjų pranešimas.

Atidarykite komandų eilutę ir projekto šakniniame kataloge paleiskite:

./gradlew clean packageDebug

Akivaizdu, kad jei kas nors iš šių žingsnių parodys klaidas, turite jas ištaisyti ... Bet kai abi jos sėkmingos, dabar turite rasti „apk“, kai naršote vietinį kelią - ir dar geriau, jūsų programa turėtų įdiegti / paleisti įrenginyje / emuliatoriuje!

5
10 нояб. Atsakymą pateikė ofir_aghai lapkričio 10 d. 2013-11-10 17:57 '13, 17:57, 2013-11-10 17:57

„HotNoob“ vaizdo įrašas „Android Ep8“ - „Android Studio“ klaidų taisymas „Vietinis kelias“ neegzistuoja. “ „Dirbo man. Http://youtu.be/i4WcMIyc8OQ

3
19 окт. Atsakymas duotas bradley4 19 19 val. 2013-10-19 11:37 '13, 11:37 2013-10-19 11:37

Aš tiesiog sugebėjau ją išspręsti. Aš vadovavau Adamso nurodymams, bet jis vis dar neveikė, todėl aš ir toliau ėmiau ir tai padariau Adamso nurodymuose:

Nuvažiavau į Module Settings ir kompiuteryje esančiame „ Paths skirtuko lape pasirinkau „ Inherit project compile output path . Aš paleisiu 0.3.0

3
24 окт. atsakymas duotas Danui Penai spalio 24 d 2013-10-24 12:45 '13, 12:45, 2013-10-24 12:45

Turėjau iš naujo importuoti savo projektą. Aš taip pat pasirūpinau, kad failo „build.gradle“ priklausomybė nuo gradacijos būtų atnaujinta. „Android“ Studio 0.3 atveju tai buvo 0,6 +. Atrodė, kad tai triukas.

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.6.+' } } 
2
21 окт. atsakymas pateikiamas pqvst 21 okt. 2013-10-21 10:32 '13, 10:32 2013-10-21 10:32

Ar išbandėte „Build → Rebuild“ projektą?

2
21 окт. Alessandro Roaro atsakymas, pateiktas spalio 21 d. 2013-10-21 16:05 '13, 16:05 pm 2013-10-21 16:05

Tiesiog uždarykite „Android“ studiją ir iš naujo paleiskite „Sysnc“. Pakartokite failus vėl ...... ir paleiskite projektą dar kartą

2
27 сент. Atsakymą pateikė kaushik patel 27 sep . 2013-09-27 10:34 '13, 10:34 2013-09-27 10:34

Jei susiduriate su šia problema po to, kai pereisite prie Studio 0.3.4 , paleiskite rm android-studio/plugins/gradle/lib/gradle-*-1.8.jar . Čia yra 1.9-rc-2 leidimo gradetas. Įsitikinkite, kad jūsų pakopos kelias yra nustatytas automatiškai. Jei rankiniu būdu nustatote rankiniu būdu arba rankiniu būdu nukreipkite jį į naujausią gradle versiją.

Taip pat įsitikinkite, kad paleisite ./gradlew clean packageDebug projekte.

Nuoroda

2
11 нояб. Atsakymą pateikė Pratik Mandrekar 11 nov. 2013-11-11 22:37 '13, 10:37 pm 2013-11-11 22:37

Man, programa ištrinama iš įrenginio. :)

1
15 июня '14 в 16:09 2014-06-15 16:09 Atsakymas dmSherazi duotas birželio 15 d. 14, 16:09 2014-06-15 16:09

pašalinti katalogą iš katalogo ir .ide aplanko

1
07 сент. atsakymą pateikė user2756759 07 sep . 2013-09-07 13:31 '13, 13:31, 2013-09-07 13:31

Gavau jį atnaujinus į 0.2.7 nuo 0.2.5. Ištrinau visus * .iml, .idea aplankus ir iš naujo paleidžiau IDE, o tada iš naujo importavau settings.gradle.

1
10 сент. Atsakymą pateikė vartotojo1726190 10 rugsėjis 2013-09-10 01:47 '13 ne 1:47 2013-09-10 01:47

Jei susidūrėte su šia problema atnaujindami „Android“ versiją 0.3.3 arba 0.3.4, turite pašalinti 1,8 stiklainius iš „android-studio“ / „plugins“ / „gradle / lib“

 rm android-studio/plugins/gradle/lib/gradle-*-1.8.jar 
1
11 нояб. Atsakymas suteikiamas griuvėjui 11 nov. 2013-11-11 12:24 '13, 12:24, 2013-11-11 12:24

Kai žiūriu į savo failų sistemą, matau, kad generuojamas „apk“, bet kitame aplanke ir kitokiu pavadinimu.

Tačiau tai nėra ta vieta, kur ji turėtų būti. Po kurio laiko supratau, kad faile „.iml“ yra parinktis, kurią galite konfigūruoti, kad ją išspręstumėte.

Yra keletas .iml failų, vienas pagrindiniam projektui, vienas skirtas moduliui, kuriame yra, kuris sukuria apk. Jei redaguosite modulio „.iml“ failą ir pridėsite šią parinktį su jūsų projektui atitinkančia kontūra

 <option name="APK_PATH" value="/build/apk/desiredname-debug-unaligned.apk" /> 
1
25 дек. Atsakymas duotas Noah gruodžio 25 d. 2013-12-25 02:39 '13, 02:39 2013-12-25 02:39

Tiems, kurie vis dar negali išspręsti šios problemos užpildę visus čia pateiktus atsakymus. Atidarykite „Gradle“ konsolę. Turėjau klaidų, kurios dėl kažkokios priežasties buvo rodomos tik „Gradle“ konsolėje. Kai tik juos išsprendžiau, galėjau paleisti programą.

1
20 февр. Atsakymas pateikiamas Zammbi 20 vas. 2014-02-20 00:32 '14 at 0:32 2014-02-20 00:32

Geriausias būdas išspręsti šią problemą.

http://www.youtube.com/watch?v=i4WcMIyc8OQ

Sėkmė = D

1
01 нояб. atsakymą pateikė Lucas Pugliese . 2013-11-01 18:09 '13, 18:09 2013-11-01 18:09

Mano atveju, problema buvo tik tai, kad aplankas į projektą turi ne anglų (arabų) simbolių.

0
16 дек. Atsakymą pateikė Mohamed Selim 16 d. 2015-12-16 00:16 '15 prie 0:16 2015-12-16 00:16

Neseniai turėjau tą pačią problemą, ir nė vienas iš pirmiau minėtų sprendimų man nepadėjo.

Ką sukėlė problema: mano „Android“ projektas dirbo be jokių problemų. Kai atnaujinsiu savo „Android“ studiją į „ 1.2 Beta strong“, bandydamas paleisti klaidą „Įrenginyje nėra vietinio kelio .

Būtent tai man padėjo:

Naujausia stabilios versijos įrankio versija yra 1.1.3 http://jcenter.bintray.com/com/android/tools/build/gradle/

0
03 апр. atsakymą pateikė Adnan 03 balandžio. 2015-04-03 20:07 '15 - 20:07 2015-04-03 20:07

Patikrinkite failą „build.gradle“. jei yra tam tikra operacija apie „applicationVariants.all“ arba išvesties failo priskyrimą, tai reiškia bandymą pakeisti išvesties failo pavadinimą ar vietą.

Galite pabandyti juos komentuoti ir bandyti dar kartą.

0
11 июня '15 в 0:29 2015-06-11 00:29 atsakymas pateikiamas Zephyr birželio 11 d., 15 val. 0:29 2015-06-11 00:29

Sinchronizuokite projektą ir viskas bus daroma 1.1.0 versijoje

0
17 апр. Atsakyti dhams balandžio 17 2015-04-17 10:04 '15, 10:04 2015-04-17 10:04

Aš išsprendžiau šią problemą sustabdžius deamon gradle, ./gradlew -stop į terminalą

0
15 янв. Yoraco Gonzales atsakymas sausio 15 d 2015-01-15 02:24 '15, 2:24, 2015-01-15 02:24

Taip nusprendžiau. „ Android“ studijai 1.0.1 :

Pagrindinėje programos „ build.gradle faile įsitikinkite, kad „atleast 1.1.0 versijos 1.1.0 atrodo tokia:

 classpath 'com.android.tools.build:gradle:1.1.0' 

ir repositories skyriuje yra mavenCentral() vietoj jCentral()

0
15 мая '15 в 10:14 2015-05-15 10:14 Asif Mujteba atsakymas gegužės 15-15 dienomis 10:14 2015-05-15 10:14

Jei jūsų projektas nėra „Gradle“ projektas,

Ir gausite šią klaidą „vietinio kelio nėra“, atnaujinus „Android Studio“ versiją iki 0.9.2+ versijos

Turite atidaryti projekto .iml failą ir jį ištrinti:

 <facet type="android-gradle" name="Android-Gradle"> <configuration> <option name="GRADLE_PROJECT_PATH" /> </configuration> </facet> 

Jis išsprendė problemą man.

0
07 нояб. Atsakymas duotas David 07 Nov. 2014-11-07 13:56 '14, 13:56 2014-11-07 13:56

Paleiskite IDE iš naujo. Paleidžiau „Android“ studiją. Klaida išnyko.

0
01 апр. atsakymą pateikė „ OrangeTree“ balandžio 1 d. 2015-04-01 19:54 '15 19:54 val. 2015-04-01 19:54

Kiti klausimai apie žymes arba Ask a question